Apache Tomcat 7.0.42

## org.apache.tomcat.util.http.fileupload
Class FileUploadBase.SizeException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.tomcat.util.http.fileupload.FileUploadException
                  org.apache.tomcat.util.http.fileupload.FileUploadBase.SizeException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  FileUploadBase.FileSizeLimitExceededException, FileUploadBase.SizeLimitExceededException

Enclosing class:
  FileUploadBase

    public abstract static class FileUploadBase.SizeException

extends FileUploadException

This exception is thrown, if a requests permitted size is exceeded.

See Also:
  Serialized Form

Constructor Summary
`protected` `FileUploadBase.SizeException(String message, long actual, long permitted)` Creates a new instance.

Method Summary
`long` `getActualSize()` Retrieves the actual size of the request.
`long` `getPermittedSize()` Retrieves the permitted size of the request.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FileUploadBase.SizeException

    protected FileUploadBase.SizeException(String message,
                                           long actual,
                                           long permitted)

  Creates a new instance.

  Parameters:
    `message` - The detail message.
    `actual` - The actual number of bytes in the request.
    `permitted` - The requests size limit, in bytes.

Method Detail

### getActualSize

    public long getActualSize()

  Retrieves the actual size of the request.

  Returns:
    The actual size of the request.
  Since:
    1.3

### getPermittedSize

    public long getPermittedSize()

  Retrieves the permitted size of the request.

  Returns:
    The permitted size of the request.
  Since:
    1.3

Apache Tomcat 7.0.42

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.